Atomically publish one process collaboration message and its prepared files.
using System.Net.Http.Headers;var client = new HttpClient();var request = new HttpRequestMessage{ Method = HttpMethod.Post, RequestUri = new Uri("https://example.com/api/workspace/boards/example/items/example/collaboration/send"), Headers = { { "Authorization", "Bearer <token>" }, }, Content = new StringContent("{ \"OperationKey\": \"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0\", \"CommentText\": \"example\", \"QuotedCommentId\": \"example\", \"PreparedFileReferenceIds\": [ \"example\" ], \"DeferredUploadSessionIds\": [ \"example\" ], \"ExistingFileReferenceIds\": [ \"example\" ], \"Mentions\": [ { \"UserId\": \"example\", \"StartIndex\": 1, \"Length\": 1, \"DisplayText\": \"example\" } ] }") { Headers = { ContentType = new MediaTypeHeaderValue("application/json") } }};using (var response = await client.SendAsync(request)){ response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body);}const url = 'https://example.com/api/workspace/boards/example/items/example/collaboration/send';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"OperationKey":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","CommentText":"example","QuotedCommentId":"example","PreparedFileReferenceIds":["example"],"DeferredUploadSessionIds":["example"],"ExistingFileReferenceIds":["example"],"Mentions":[{"UserId":"example","StartIndex":1,"Length":1,"DisplayText":"example"}]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/workspace/boards/example/items/example/collaboration/send \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "OperationKey": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "CommentText": "example", "QuotedCommentId": "example", "PreparedFileReferenceIds": [ "example" ], "DeferredUploadSessionIds": [ "example" ], "ExistingFileReferenceIds": [ "example" ], "Mentions": [ { "UserId": "example", "StartIndex": 1, "Length": 1, "DisplayText": "example" } ] }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Query Parameters
Section titled “Query Parameters”Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.
Request Body
Section titled “Request Body”Atomically publish one Board process message and prepared files.
object
Stable user mention embedded in comment text.
object
Mentioned user identifier.
Zero-based UTF-16 token start.
UTF-16 token length.
Readable token stored in the comment text.
Examplegenerated
{ "OperationKey": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "CommentText": "example", "QuotedCommentId": "example", "PreparedFileReferenceIds": [ "example" ], "DeferredUploadSessionIds": [ "example" ], "ExistingFileReferenceIds": [ "example" ], "Mentions": [ { "UserId": "example", "StartIndex": 1, "Length": 1, "DisplayText": "example" } ]}Atomically publish one Board process message and prepared files.
object
Stable user mention embedded in comment text.
object
Mentioned user identifier.
Zero-based UTF-16 token start.
UTF-16 token length.
Readable token stored in the comment text.
Examplegenerated
{ "OperationKey": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "CommentText": "example", "QuotedCommentId": "example", "PreparedFileReferenceIds": [ "example" ], "DeferredUploadSessionIds": [ "example" ], "ExistingFileReferenceIds": [ "example" ], "Mentions": [ { "UserId": "example", "StartIndex": 1, "Length": 1, "DisplayText": "example" } ]}Atomically publish one Board process message and prepared files.
object
Stable user mention embedded in comment text.
object
Mentioned user identifier.
Zero-based UTF-16 token start.
UTF-16 token length.
Readable token stored in the comment text.
Examplegenerated
{ "OperationKey": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "CommentText": "example", "QuotedCommentId": "example", "PreparedFileReferenceIds": [ "example" ], "DeferredUploadSessionIds": [ "example" ], "ExistingFileReferenceIds": [ "example" ], "Mentions": [ { "UserId": "example", "StartIndex": 1, "Length": 1, "DisplayText": "example" } ]}Responses
Section titled “Responses”OK
object
object
object
object
object
Example
{ "Data": null, "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ]}Bad Request
object
object
object
object
object
Example
{ "Data": null, "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ]}Forbidden
object
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}Not Found
object
object
object
object
object
Example
{ "Data": null, "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ]}Conflict
object
object
object
object
object
Example
{ "Data": null, "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ]}